Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.exception
Class InvalidUsingException

    com.change_vision.jude.api.inf.exception.InvalidUsingException

    public class InvalidUsingException

Invalid Using.

Field Summary
`static String` | `ILLEGAL_PARAMETER_KEY` illegalParameter - if a parameter is not set properly.
`static String` | `ILLEGAL_PARAMETER_MESSAGE`
`static String` | `ILLEGAL_USE_ERROR_KEY` illegalVersionError - if Presentation API is used in astah* community.
`static String` | `ILLEGAL_USE_ERROR_MESSAGE`
`static String` | `ILLEGAL_USE_ERROR_PLUGIN_KEY` illegalUseErrorPlugin - if API for plugin is used in non-plugin.
`static String` | `ILLEGAL_USE_ERROR_PLUGIN_MESSAGE`
`static String` | `ILLEGAL_USE_ERROR_UML_KEY` illegalUseErrorUML - if only professional API is used in astah* community.
`static String` | `ILLEGAL_USE_ERROR_UML_MESSAGE`
`static String` | `ILLEGAL_USE_XML_ERROR_KEY` illegalUseXmiError - if XMI API is used in astah* community or astah* UML version.
`static String` | `ILLEGAL_USE_XML_ERROR_MESSAGE`

Constructor Summary
`InvalidUsingException(String key, String message)`

Method Summary
`String` | `getKey()` Get Key
`String` | `getMessage()` Get Message.

Field Detail

### ILLEGAL_USE_ERROR_KEY

    public static final String ILLEGAL_USE_ERROR_KEY

  illegalVersionError - if Presentation API is used in astah* community.

### ILLEGAL_USE_ERROR_MESSAGE

    public static final String ILLEGAL_USE_ERROR_MESSAGE

### ILLEGAL_USE_ERROR_UML_KEY

    public static final String ILLEGAL_USE_ERROR_UML_KEY

  illegalUseErrorUML - if only professional API is used in astah* community.

### ILLEGAL_USE_ERROR_UML_MESSAGE

    public static final String ILLEGAL_USE_ERROR_UML_MESSAGE

### ILLEGAL_USE_ERROR_PLUGIN_KEY

    public static final String ILLEGAL_USE_ERROR_PLUGIN_KEY

  illegalUseErrorPlugin - if API for plugin is used in non-plugin.

### ILLEGAL_USE_ERROR_PLUGIN_MESSAGE

    public static final String ILLEGAL_USE_ERROR_PLUGIN_MESSAGE

### ILLEGAL_USE_XML_ERROR_KEY

    public static final String ILLEGAL_USE_XML_ERROR_KEY

  illegalUseXmiError - if XMI API is used in astah* community or astah* UML version.

### ILLEGAL_USE_XML_ERROR_MESSAGE

    public static final String ILLEGAL_USE_XML_ERROR_MESSAGE

### ILLEGAL_PARAMETER_KEY

    public static final String ILLEGAL_PARAMETER_KEY

  illegalParameter - if a parameter is not set properly.

### ILLEGAL_PARAMETER_MESSAGE

    public static final String ILLEGAL_PARAMETER_MESSAGE

Constructor Detail

### InvalidUsingException

    public InvalidUsingException(String key,
                                 String message)

Method Detail

### getKey

    public String getKey()

  Get Key

  Returns:
    Key

### getMessage

    public String getMessage()

  Get Message.

  Returns:
    Error Message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD